package me.lensfrex.vegetables.resopnse;

public class ResponseGenerator {
    /**
     * 构建请求成功的响应返回类
     * @param data 请求到的数据
     * @param <T> 请求的数据类型
     * @return 构建出的请求响应类
     */
    public static <T> UnityResponse<T> success(T data) {
        return new UnityResponse<>(ResultStatus.SUCCESS, data);
    }

    /**
     * 构建请求失败的响应返回类
     * @param resultStatus 指定状态信息
     * @return 构建出的请求响应类
     */
    public static <T> UnityResponse<T> error(ResultStatus resultStatus) {
        return new UnityResponse<>(resultStatus, null);
    }
}
